TelepathyQt4: ChannelInterfaceDTMFInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelInterfaceDTMFInterface Class Reference
[Channel proxies]

`#include <TelepathyQt4/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply StartTone (uint streamID, uchar event)
- QDBusPendingReply StopTone (uint streamID)

## Public Member Functions

- ChannelInterfaceDTMFInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceDTMFInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceDTMFInterface (Tp::DBusProxy *proxy)
- ChannelInterfaceDTMFInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfaceDTMFInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.DTMF."

## Constructor & Destructor Documentation

ChannelInterfaceDTMFInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelInterfaceDTMFInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelInterfaceDTMFInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelInterfaceDTMFInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelInterfaceDTMFInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceDTMFInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

ChannelInterfaceDTMFInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfaceDTMFInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

ChannelInterfaceDTMFInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a ChannelInterfaceDTMFInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.DTMF", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply StartTone | ( | uint | streamID,
|  | uchar | event |
| ) |  |  | `[inline, slot]`

Begins a call to the D-Bus method "StartTone" on the remote object.

Start sending a DTMF tone on this stream. Where possible, the tone will continue until StopTone is called. On certain protocols, it may only be possible to send events with a predetermined length. In this case, the implementation may emit a fixed-length tone, and the StopTone method call should return NotAvailable.

Parameters:

  | streamID | A stream ID as defined in the StreamedMedia channel type.
  | event | A numeric event code from the DTMF_Event enum.

QDBusPendingReply StopTone | ( | uint | streamID | ) | `[inline, slot]`

Begins a call to the D-Bus method "StopTone" on the remote object.

Stop sending any DTMF tone which has been started using the StartTone method. If there is no current tone, this method will do nothing.

Parameters:

  | streamID | A stream ID as defined in the StreamedMedia channel type.

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`